diff -pruN 4.1.9-1/debian/changelog 4.1.9-1ubuntu1/debian/changelog
--- 4.1.9-1/debian/changelog	2023-01-27 16:24:52.000000000 +0000
+++ 4.1.9-1ubuntu1/debian/changelog	2023-02-09 10:58:46.000000000 +0000
@@ -1,3 +1,9 @@
+jool (4.1.9-1ubuntu1) lunar; urgency=medium
+
+  * Fix Linux 6.2 (LP: #2006733)
+
+ -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 09 Feb 2023 10:58:46 +0000
+
 jool (4.1.9-1) unstable; urgency=medium
 
   * New upstream release
diff -pruN 4.1.9-1/debian/control 4.1.9-1ubuntu1/debian/control
--- 4.1.9-1/debian/control	2023-01-27 16:24:52.000000000 +0000
+++ 4.1.9-1ubuntu1/debian/control	2023-02-09 10:58:46.000000000 +0000
@@ -1,5 +1,6 @@
 Source: jool
-Maintainer: Jool Team <jool@nic.mx>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jool Team <jool@nic.mx>
 Uploaders: Alberto Leiva Popper <ydahhrk@gmail.com>
 Section: kernel
 Priority: optional
diff -pruN 4.1.9-1/debian/patches/0001-Linux-6.2.patch 4.1.9-1ubuntu1/debian/patches/0001-Linux-6.2.patch
--- 4.1.9-1/debian/patches/0001-Linux-6.2.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.1.9-1ubuntu1/debian/patches/0001-Linux-6.2.patch	2023-02-09 10:58:46.000000000 +0000
@@ -0,0 +1,43 @@
+From 2c803c27a7919b7f95ff2d989861099e0c44406f Mon Sep 17 00:00:00 2001
+From: Paolo Pisati <paolo.pisati@canonical.com>
+Date: Thu, 9 Feb 2023 10:56:00 +0000
+Subject: [PATCH] Fix Linux 6.2+ FTBFS
+
+Signed-off-by: Paolo Pisati <paolo.pisati@canonical.com>
+---
+ src/mod/common/nl/nl_handler.c | 10 ++++++++++
+ 1 file changed, 10 insertions(+)
+
+diff --git a/src/mod/common/nl/nl_handler.c b/src/mod/common/nl/nl_handler.c
+index 95e46f46..cb82b7d1 100644
+--- a/src/mod/common/nl/nl_handler.c
++++ b/src/mod/common/nl/nl_handler.c
+@@ -22,15 +22,25 @@
+ #include "mod/common/nl/session.h"
+ #include "mod/common/nl/stats.h"
+ 
++#if LINUX_VERSION_LOWER_THAN(6, 2, 0, 0, 0)
+ static int pre_handle_request(const struct genl_ops *ops, struct sk_buff *skb,
+ 		struct genl_info *info)
++#else
++static int pre_handle_request(const struct genl_split_ops *ops, struct sk_buff *skb,
++		struct genl_info *info)
++#endif
+ {
+ 	error_pool_activate();
+ 	return 0;
+ }
+ 
++#if LINUX_VERSION_LOWER_THAN(6, 2, 0, 0, 0)
+ static void post_handle_request(const struct genl_ops *ops, struct sk_buff *skb,
+ 		struct genl_info *info)
++#else
++static void post_handle_request(const struct genl_split_ops *ops, struct sk_buff *skb,
++		struct genl_info *info)
++#endif
+ {
+ 	error_pool_deactivate();
+ }
+-- 
+2.38.1
+
diff -pruN 4.1.9-1/debian/patches/series 4.1.9-1ubuntu1/debian/patches/series
--- 4.1.9-1/debian/patches/series	1970-01-01 00:00:00.000000000 +0000
+++ 4.1.9-1ubuntu1/debian/patches/series	2023-02-09 10:58:46.000000000 +0000
@@ -0,0 +1 @@
+0001-Linux-6.2.patch
